Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.java.help.impl
Interface ViewAwareComponent

All Known Implementing Classes:
  JHSecondaryViewer

public interface ViewAwareComponent

Interface that a Component should support if it wants to play in the View hierachy. WARNING!! This is an experimental feature of the JavaHelp reference implemenation and may change in future versions of the implementation.

Method Summary
`void` | `setViewData(javax.swing.text.View v)` Set the View that corresponds to this object This gives access to a wealth of information.

Method Detail

### setViewData

    public void setViewData(javax.swing.text.View v)

  Set the View that corresponds to this object This gives access to a wealth of information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD